Subject: Re: [PATCH] powerpc: gpio driver for mpc831x/834x/837x with OF bindings

From: Anton Vorontsov <[email-masked]>
Date: Sat, 6 Sep 2008 01:53:27 +0400

On Fri, Sep 05, 2008 at 08:45:33PM +0200, Peter Korsgaard wrote:
> >>>>> "Anton" == Anton Vorontsov <[email-masked]> writes:
> 
>  Anton> On Fri, Sep 05, 2008 at 05:08:47PM +0200, Peter Korsgaard wrote:
>  >> Structured similar to the existing QE GPIO support.
>  >> 
>  >> Signed-off-by: Peter Korsgaard <[email-masked]>
>  >> ---
> 
>  Anton> I posted identical driver in June. ;-)
> 
>  Anton> http://ozlabs.org/pipermail/linuxppc-dev/2008-June/057395.html
> 
> Ahh, I must have missed it back then. Seems like you never got any
> feedback on it - Now, as we both independently got to ~same result, it
> must be a good approach ;) Kumar, what do you say?
> 
> >From a quick look, your driver seems to set the data / direction
> registers in the wrong order in fsl_gpio_dir_out causing a glitch with
> high level outputs:
> 
> http://peter.korsgaard.com/patches/uboot/mpc83xx-gpio-level-before-direction.patch
> 
> (Never seems to have made it to the U-Boot list archive, but it's in
> git now).

Yeah, I saw similar patch in the u-boot-users mailing list.
Will incorporate that change, thanks!

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2